Subject: Re: [pim] Éric Vyncke's No Objection on draft-ietf-pim-igmp-mld-extension-06: (with COMMENT)

From: Alvaro Retana <[email-masked]>
Date: Tue, 1 Feb 2022 10:56:58 -0800

On January 31, 2022 at 9:48:36 AM, Éric Vyncke wrote:

Eric:

Hi!

Just answering your questions about §3.1.

...
> ## Section 3.1
>
> I was about to raise a DISCUSS on this issue. It appears that the E-bit is
> specified in this document while it was defined as reserved in MLDv2 RFC 3810,
> i.e., should this document formally update RFC 3810 (and possibly IGMPv3 as
> well)? I.e., in the header + abstract + introduction ?

The WG had a specific discussion about formally Updating
rfc3376/rfc3810 and decided against it.  In general, the consensus is
that this new mechanism is not a required extension of IGMPv3/MPDv2.
Among other reasons, as explained in §5, host implementations change
very slowly, and the use of the E-bit is backward compatible.

> Also, does this mean that once the E-bit is set, then there cannot be any
> other extensions except TLVs ? This seems a limiting factor.

IMHO, TLVs are pretty flexible. :-)

If someone wanted to create a new non-TLV extension, they could add an
extra bit and use it (and the E-bit) to indicate its presence.  I'm
sure there are other wats around it.

Thanks for the review!

Alvaro.

---

From: Lars Eggert <[email-masked]>
Date: Thu, 3 Feb 2022 12:08:31 +0200

Hi,

> very slowly, and the use of the E-bit is backward compatible.

that's all true, but AFAIK there is no registry for these bits and if there is no formal "Updates" relationship, we need to rely on the community somehow remembering that this bit was assigned for this RFC-to-be, to avoid clashes with other future extensions?

Thanks,
Lars

---

From: Alvaro Retana <[email-masked]>
Date: Thu, 3 Feb 2022 03:54:48 -0800

On February 3, 2022 at 5:08:39 AM, Lars Eggert wrote:

Hi!

> On 2022-2-1, at 20:56, Alvaro Retana wrote:
> that's all true, but AFAIK there is no registry for these bits and if there
> is no formal "Updates" relationship, we need to rely on the community somehow
> remembering that this bit was assigned for this RFC-to-be, to avoid clashes
> with other future extensions?

We do, for now.

There's active work in the WG to bis both rfc3376/rfc3810, so I'll
make sure a registry is set up there.

Alvaro.

---

From: Brian Haberman <[email-masked]>
Date: Sat, 5 Feb 2022 11:33:03 -0500

I have created an issue to track the creation of the IANA registry 
listed below in the -bis documents.

https://github.com/ietf-wg-pim/igmp-mld-bis/issues/17

Brian

On 2/3/22 6:54 AM, Alvaro Retana wrote:
> _______________________________________________
> pim mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pim